bin_PROGRAMS += ds485p

ds485p_SOURCES = \
    src/ds485p.c

if BUILD_DISCOVERY
ds485p_SOURCES += \
    src/discovery.h \
    src/discovery.c \
    src/whitelist.h \
    src/whitelist.c \
    src/vdsmRole.h \
    src/vdsmRole.c
endif

ds485p_CFLAGS = \
    $(UTHAS_CFLAGS) \
    $(PTHREAD_CFLAGS) \
    $(LIBDSUID_CFLAGS) \
    $(DS485_NETLIB_CFLAGS) \
    $(DS485_CLIENT_CFLAGS) \
    $(AVAHI_CFLAGS) \
    $(LIBCONFIG_CFLAGS)

ds485p_LDADD = \
    $(top_builddir)/libbase.a \
    $(PTHREAD_LIBS) \
    $(LIBDSUID_LIBS) \
    $(DS485_NETLIB_LIBS) \
    $(DS485_CLIENT_LIBS) \
    $(AVAHI_LIBS) \
    $(LIBCONFIG_LIBS) \
    $(SQLITE3_LIBS)

