/*
 * Copyright (C) 2014 digitalSTROM.org, Schlieren, Switzerland
 *
 * digitalSTROM ds485-base library is free software: you can redistribute it
 * and/or modify it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation, either version 3 of the License,
 * or (at your option) any later version.
 *
 * digitalSTROM ds485-base library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with digitalSTROM ds485-base library. If not, see
 * <http://www.gnu.org/licenses/>.
 */

#ifndef __BASE_SOCKET_SERVER_H__
#define __BASE_SOCKET_SERVER_H__

#include <arpa/inet.h>

int service_to_port(const char *service, const char *protocol);
int passivesock(int port, char *protocol, int qlen, int listenGlobal);

/**
 * Glorious wrapper around POSIX getpeername
 * @socket
 * @in -- ipv4 address and port
 * @ret -- negative if error
 */
int get_peername(int socket, struct sockaddr_in *in);


#endif
